-2
Reading package lists... Done
E: Could not open lock file /var/lib/apt/lists/lock - open (13: Permission denied)
E: Unable to lock directory /var/lib/apt/lists/
W: Problem unlinking the file /var/cache/apt/pkgcache.bin - RemoveCaches (13: Permission denied)
W: Problem unlinking the file /var/cache/apt/srcpkgcache.bin - RemoveCaches (13: Permission denied)
4
  • 4
    What command have you run in the terminal ? In order to update the system you have to have the root access . Try running " sudo apt upgrade " . – Parsa Mousavi Jun 5 '20 at 13:31
  • Try sudo rm /var/lib/apt/lists/lock, see if that works without error, and then eventually run sudo apt upgrade and re-try. – zx485 Jun 5 '20 at 15:13
  • Related: Permission denied, are you root? I'm not sure if this is that problem or not, since the error messages here don't say "are you root?" As @ParsaMousavi says, please edit this to show the exact command or commands that you ran that produced the output you've shown. Thanks! – Eliah Kagan Jun 5 '20 at 16:51
  • 1
    Does this answer your question? Permission denied, are you root? – karel Jun 7 '20 at 2:59
2

Like Parsa Mousavi said, it looks like you don't have administrator privileges. Try running it on the default user you created while installing (if you are not on it already) and use sudo:

sudo apt update && sudo apt upgrade

I'm guessing you did apt update instead of sudo apt update.

If a command outputs Permission Denied, try adding sudo before it.

Not the answer you're looking for? Browse other questions tagged or ask your own question.